:root {
    --blanco: #ffffff;
    --oscuro: #212121;
    --primario: #FFC107;
    --secundario: #0097A7;
    --gris: #838282;
    --grisClaro: #69a0d8;
}
/*  Globales **/
html {
    font-size: 62.5%;
    box-sizing: border-box; /* Hack para Box Model **/
}
/** Scroll Snap**/
.servicios,
.navegacion-principal,
.formulario {
    scroll-snap-align: center;
    scroll-snap-stop: always;
}
.formulario2 {
    scroll-snap-align: center;
    scroll-snap-stop: always;
}
*, *:before, *:after {
    box-sizing: inherit;
}
body {
    font-size: 16px; /* 1rem = 10px */
    font-family: Arial, Helvetica, sans-serif;
    background-image: linear-gradient(to top, var(--grisClaro) 0%, var(--blanco) 100% );
}
.contenedor {
    max-width: 120rem;
    margin: 0 auto;
}
.boton {
    background-color: blue;
    color:rgb(255, 255, 255);
    padding: 1rem 3rem;
    margin-top: 3rem;
    font-size: 2rem;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    border-radius: .5rem;
    width: 30%;
    text-align: center;
    border: none;
}
.boton3 {
    background-color: blue;
    color:white;
    padding: 10px 5px;
    margin-top: 3rem;
    font-size: 10px;
    margin: 0 auto;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    border-radius: .5rem;
    width: 100%;
    text-align: center;
    border: none;
}
.boton2{
    background-color: rgb(17, 17, 104);
    color:white;
    padding: 1rem 3rem;
    justify-content: center;
    margin-right: 130px;
    font-size: 2rem;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    border-radius: .5rem;
    width: 60%;
    text-align: center;
    border: none;
}
@media (min-width: 768px) {
    .boton {
        width: auto;
    }
}
.boton:hover {
    cursor: pointer;
}

@media (min-width: 768px) {
    .boton2 {
        width: auto;
        
    }
}
.boton2:hover {
    cursor: pointer;
    
}
.boton3:hover{
    cursor: pointer;
}


.sombra {
    box-shadow: 0px 5px 15px 0px rgba(112,112,112,0.48);
    background-color: var(--blanco);
    padding: 2rem;
    border-radius: 1rem;
}

/* Tipografia */
h1 {
    font-size: 3.8rem;
}
h2 {
    font-size: 2.8rem;
}
h3 {
    font-size: 1.8rem;
}
h1,h2,h3 {
    text-align: center;
}


/* Titulos */
.titulo span {
    font-size: 2rem;
}

/** Utilidades **/
.w-sm-100 {
    width: 100%;
}
@media (min-width: 768px) {
    .w-sm-100 {
        width: auto;
    }
}
.flex {
    display: flex;
}
.alinear-derecha {
    margin-left: 35%;
}

.alinear-derecha {
    margin-left: 35%;
}
.alinear-izquierda {
    margin-right: 35%;
}

/* Navegacion Principal */
.nav-bg {
    background-color: rgb(23, 23, 228);
}
.navegacion-principal {
    display: flex;
    flex-direction: column;
}
@media (min-width: 768px) {
    .navegacion-principal {
        flex-direction: row;
        justify-content: space-between;
    }
}

.navegacion-principal a {
    display: block;
    text-align: center;
    color: var(--blanco);
    text-decoration: none;
    font-size: 2rem;
    font-weight: 700;
    padding: 1rem;
}
.navegacion-principal a:hover {
    background-color: var(--primario);
    color: var(--oscuro);
}

/* Hero */
.hero {
    background-image: url(/image/Fondo1.jpg
    );
    background-repeat: no-repeat;
    background-size: cover;
    height: 450px;
    position: relative;
    margin-bottom: 2rem;
    
}
.hero2 {
    background-image: url(/image/Fondo1.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    height: 150px;
    position: relative;
    margin-bottom: 2rem;
    
}
.contenido-hero {
    position: absolute;
    background-color: rgba( 0,0,0, .7 ); /** Anterior **/
    background-color: rgb( 0 0 0 / 70% );
    width: 100%;
    height: 100%;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

}
.contenido-hero2 {
    position: absolute;
    background-color: rgba( 0,0,0, .7 ); /** Anterior **/
    background-color: rgb( 0 0 0 / 70% );
    width: 50%;
    height: 50%;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

}
.contenido-hero h2, 
.contenido-hero p {
    color: var(--blanco);
}
.contenido-hero .ubicacion {
    display: flex;
    align-items: flex-end;
}



/** Servicios **/
@media (min-width: 768px) {
    .servicios {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        column-gap: 1rem;
    }
}

.servicio {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.servicio h3 {
    color: rgb(18, 18, 18);
    font-weight: bold;
}
.servicio p {
    line-height: 2;
    text-align: center;
}
/*fondo ve produvtos*/
.servicio .iconos {
    height: 15rem;
    width: 15rem;
    background-color: rgb(255, 255, 255);
    border-radius: 50%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.software{
    margin-top: 100px;
}
/** Contacto **/
.formulario {
    background-color: rgb(23, 23, 91);
    width: min( 60rem, 100% ); /** Utilizar el valor más pequeño **/
    margin: 0 auto;
    padding: 2rem;
    border-radius: 3rem;
}
.formulario2 {
    background-color: rgb(13, 13, 54);
    width: min( 50rem, 100% ); /** Utilizar el valor más pequeño **/
    margin: 0 auto;
    padding: 2rem;
    align-items: center;
    border-radius: 3rem;
}

.formulario fieldset {
    border: none;
}
.formulario2 fieldset {
    border: none;
}
.formulario legend {
    text-align: center;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 2rem;
    color: white;
}
.formulario2 legend {
    text-align: center;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 2rem;
    color: white;
}
@media (min-width: 768px) {
    .contenedor-campos {
        display: grid;
        grid-template-columns: 50% 50%;
        grid-template-rows: auto auto 20rem ;
        column-gap: 1rem;
    }

    .campo:nth-child(3),
    .campo:nth-child(4) {
        grid-column: 1 / 3;
    }
}

@media (min-width: 768px) {
    .contenedor-campos2 {
        
        display:inline;
        grid-template-columns: 50% 50%;
        grid-template-rows: auto auto 10rem ;
        column-gap: 1rem;

       
    }
    .boton3 {
        background-color: blue;
        color:white;
        padding: 0.3rem 0.3rem;
        margin-top: 3rem;
        font-size: 15px;
        margin-right: 2px;
        text-decoration: none;
        text-transform: uppercase;
        font-weight: bold;
        border-radius: .5rem;
        width: 50%;
        text-align: center;
        border: none;
    }
        
    

    .campo:nth-child(3),
    .campo:nth-child(4) {
        grid-column: 1 / 3;
    }
}





.campo {
    margin-bottom: 1rem;
}
.campo label {
    color: var(--blanco);
    font-weight: bold;
    margin-bottom: .5rem;
    display: block;
}
.campo textarea {
    height: 20rem;
}

.input-text {
    align-items: center;
    width: 100%;
    border: none;
    padding: 1.5rem;
    border-radius: .5rem;
}
.input-text2 {
    width: 75%;
    border: none;
    padding: 1.5rem;
    border-radius: .5rem;
}
img{
    width: 100px;
    height: 100px;
}
/** Footer **/
.footer {
    text-align: center;
}





